function Create(self)
    function lengthdir_x(dist,ang)
        return dist * math.cos(-ang);
    end
 
    function lengthdir_y(dist,ang)
		return dist * math.sin(-ang);
    end
	self.throttle = 6;
	self.RotAngle = -(math.pi/4);
	self.AIMode = Actor.AIMODE_NONE;


	ActivityMan:GetActivity():SwitchToActor(self,self.Team,self.Team);


	self.Timer = Timer();
	self.FireTimer = Timer();
	self.BugFixed = false;
end

function Update(self)


	if self.BugFixed == false and self.Timer:IsPastSimMS(1000) then
		self:GetController():SetState(Controller.PRIMARY_ACTION,true);
		print("Bug Fix'd!");
		self.BugFixed = true;
	end

	self.AIMode = Actor.AIMODE_NONE;

	self:ClearForces();
	self.AngularVel =0;


	if self.RotAngle > 3.14 or self.RotAngle < -3.14 then
		self.RotAngle = 0;
		if self.HFlipped == false then
			self.HFlipped = true;
		else
			self.HFlipped = false;
		end
	end

--	if not self.Timer:IsPastSimMS(1000) then
--	--	self:GetController():SetState(Controller.PRIMARY_ACTION,false);
--		self:SetControllerMode(Controller.CIM_DISABLED, -1);
--	elseif self.ControllerPing == false then
--		self:SetControllerMode(Controller.CIM_AI, -1);
--		self.ControllerPing = true;
--	end
		



	if self:GetController():IsState(Controller.MOVE_UP) then
		if self.throttle <= 28 then
			self.throttle = self.throttle + 2;
		end
	end
	if self:GetController():IsState(Controller.MOVE_DOWN) then
		if self.throttle >= 2 then
			self.throttle = self.throttle - 2;
		end
	end

	
		
	
	if self.Health < 0 and math.abs(self.Vel.Y) < 25 then
		self:GibThis()
	end
	


	if self.throttle > 4 then
		if self:GetController():IsState(Controller.MOVE_LEFT) then
			self.RotAngle = self.RotAngle + 0.04;
		end
		if self:GetController():IsState(Controller.MOVE_RIGHT) then
			self.RotAngle = self.RotAngle - 0.04;
		end

		if self.HFlipped == false then
			self.Vel.X = lengthdir_x(self.throttle,self.RotAngle);
			self.Vel.Y = lengthdir_y(self.throttle,self.RotAngle);
		else
			self.Vel.X = lengthdir_x(-self.throttle,self.RotAngle);
			self.Vel.Y = lengthdir_y(-self.throttle,self.RotAngle);
		end
	end

		
	if self.Timer:IsPastSimMS(50) then
		
		local YPoser = Vector(0,0);
		local XPoser = Vector(0,0);
		if self.HFlipped  == false then
			YPoser = self.Pos + Vector(math.cos(self.RotAngle)*20,math.sin(self.RotAngle)*-20);
			YPoser = YPoser:Perpendicularize()
			--print(YPoser);
			XPoser = YPoser + Vector(math.cos(self.RotAngle)*139,math.sin(self.RotAngle)*-139);
			--print(XPoser);
		else
			YPoser = self.Pos + Vector(math.cos(self.RotAngle)*-20,math.sin(self.RotAngle)*-20);
			YPoser = YPoser:Perpendicularize()
			--print(YPoser);
			XPoser = YPoser + Vector(math.cos(self.RotAngle)*-139,math.sin(self.RotAngle)*-139);
			--print(XPoser);
		end
		local Flames = CreateMOSParticle("Main Thruster Blast Ball 1");
		Flames.Pos = XPoser;
		Flames.Vel = XPoser - Flames.Pos;
		local FlameV = Vector(Flames.Vel.X,Flames.Vel.Y);
		FlameV = (FlameV:Normalize()):FlipY(true);
		Flames.Vel = FlameV;
		Flames.Vel = Flames.Vel * self.throttle * 3; 
		MovableMan:AddParticle(Flames);
		print(Flames.Pos);
		print(self.Pos);



		self.Timer:Reset();

	end

		




end
